--- title: "DLP SaaS Incident API call to get details of an Incident ID" slug: "dlp-saas-incident-api-call-to-get-details-of-an-incident-id" tags: ["Product Usage", "SaaS"] updated: 2026-09-01T09:28:14Z published: 2026-09-01T09:28:14Z canonical: "docs.trellix.com/dlp-saas-incident-api-call-to-get-details-of-an-incident-id" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # DLP SaaS Incident API call to get details of an Incident ID This DLP SaaS Incident API returns an instance of the incident. **Prerequisites** Trellix DLP SaaS Incident APIs use JWT tokens for authorization. The token contains "scopes" that determine the specific APIs the caller is authorized to access. In addition, Trellix APIs use an API Key to meter and control usage of APIs. For more information, see: [Trellix Developer Portal](https://developer.manage.trellix.com). - [Understanding Developer Portal](https://developer.manage.trellix.com/mvision/docs/ud) - [Understanding Trellix Authorization model](https://developer.manage.trellix.com/mvision/docs/umam) - [Configure API - API Keys](https://developer.manage.trellix.com/mvision/docs/ud) ### GET request URL `https://api.manage.trellix.com/dpim/v2/incident/n` Where n is the incident ID. ### Request Parameters Provide these parameters as a "body" type parameter to get the access token. | Parameter | Description | Parameter type | Data type | Required | | --- | --- | --- | --- | --- | | `incidentId` | Specifies the incident identifier. | Body | String | Yes | | `include` | Selects the set of relationships that must be shown in the result. | Body | String | Optional | | `X-Trace-Id` | Trace ID can be included in logs to help identify requests. The trace-id called is responsible for making this unique per request or session. | Body | String | Optional | **Sample GET request URL** `https://api.manage.trellix.com/dpim/v2/incident/n` **Sample cURL command** `curl -X 'GET' 'https://api.manage.trellix.com/dpim/v2/incident/12' -H 'Content-Type: application/ vnd.api+json' -H 'x-api-key: <apikey>' -H 'Authorization: token Bearer <token> '` ### Response code ``` {    "data": {        "type": "incident",        "id": "string",        "links": {        "self": "string"    },    "attributes": {        "actionTaken": "string",        "agentGuid": "string",        "agentVersion": "string",        "connectivity": "string",        "destination": "string",        "eventGlobalId": "string",        "evidenceStorageId": "string",        "expectedAction": "string",        "failureReason": "string",        "incidentOrigin": "DATA_IN_MOTION",        "incidentType": "APPLICATION_FILE_ACCESS",        "insertionTime": 0,        "lastUpdateTime": 0,        "localTime": 0,        "matchUrl": "string",        "severity": "INFO",        "source": "string",        "timezone": "string",        "totalMatchCount": 0,        "utcTime": 0,        "workflowId": "string"    },    "relationships": {        "application": {        "id": "string",        "type": "application"    },    "classificationMatches": {        "id": "string",        "type": "classificationMatch"    },    "clipboard": {        "id": "string",        "type": "clipboardInfo"    },    "cloud": {        "id": "string",        "type": "cloudInfo"    },    "collaboration": {        "id": "string",        "type": "collaboration"    },    "comments": {        "id": "string",        "type": "comment"    },    "device": {        "id": "string",        "type": "deviceInfo"    },    "email": {        "id": "string",        "type": "emailInfo"    },    "endpoint": {        "id": "string",        "type": "endpoint"    },    "eventUser": {        "id": "string",        "type": "eventUser"    },    "evidence": {        "id": "string",        "type": "evidenceDetails"    },    "iamRoleReviewer": {        "id": "string",        "type": "iamRole"    },    "iamUserReviewer": {        "id": "string",        "type": "iamUser"    },    "ndlpAppliance": {        "id": "string",        "type": "ndlpApplianceInfo"    },    "networkComm": {        "id": "string",        "type": "networkCommInfo"    },    "networkShare": {        "id": "string",        "type": "networkShareInfo"    },    "policy": {        "id": "string",        "type": "policy"    },    "print": {        "id": "string",        "type": "printInfo"    },    "removableStorage": {        "id": "string",        "type": "removableStorageInfo"    },    "resolution": {        "id": "string",        "type": "resolution"    },    "rules": {        "id": "string",        "type": "rule"    },    "scan": {        "id": "string",        "type": "scanInfo"    },    "status": {        "id": "string",        "type": "status"    },    "webPost": {        "id": "string",        "type": "webPostInfo"    }  } }, "included": [     {        "attributes": {},        "id": "string",        "relationships": {},        "type": "string"    }  ] } ``` ### Status and error codes | Code | Description | | --- | --- | | **200 OK** | Successful response from API. | | **400 Bad request** | Incorrect request parameters. | | **401 Unauthorized** | API call that is unauthorized. | | **403 Forbidden** | Invalid API Key or lack of permission to invoke API. | | **404 Not Found** | Requested resource not found. | | **405 Method Not Allowed** | Incorrect HTTP method in API call. | | **500 Internal Server Error** | Error occurred on the server side during API call. |